import { NetlifyIdentityAppMetadata } from "./models/interfaces/netlify-identity-app-metadata";
import { NetlifyIdentityUser } from "./models/interfaces/netlify-identity-user";
import { NetlifyIdentityUserMetadata } from "./models/interfaces/netlify-identity-user-metadata";
import { Users } from "./models/interfaces/users";
import { UserIdentityFunctions } from "./user-identity-functions";
export declare class AdminIdentityFunctions {
    private identityUrl;
    private token;
    private userFunctions;
    private usersUrl;
    constructor(identityUrl: string, token: string, userFunctions: UserIdentityFunctions);
    getAllUsers<T extends NetlifyIdentityUser>(): Promise<Users<T>>;
    getUserById<T extends NetlifyIdentityUser>(userId: string): Promise<T>;
    getUserByEmail<T extends NetlifyIdentityUser>(email: string): Promise<T | null>;
    createUser<T extends NetlifyIdentityUser>(user: T): Promise<T>;
    updateUser<T extends NetlifyIdentityUser>(user: T): Promise<void>;
    deleteUser(userId: string): Promise<void>;
    registerUserWithMetadata<T extends NetlifyIdentityUser<U, V>, U extends NetlifyIdentityAppMetadata, V extends NetlifyIdentityUserMetadata>(email: string, password: string, appMetaData: U, userMetaData: V): Promise<T>;
    registerUserWithAppMetadata<T extends NetlifyIdentityUser<U>, U extends NetlifyIdentityAppMetadata>(email: string, password: string, appMetaData: U): Promise<T>;
    inviteUserWithMetadata<T extends NetlifyIdentityUser<U, V>, U extends NetlifyIdentityAppMetadata, V extends NetlifyIdentityUserMetadata>(email: string, appMetaData: U, userMetaData: V): Promise<T>;
    inviteUserWithAppMetadata<T extends NetlifyIdentityUser<U>, U extends NetlifyIdentityAppMetadata>(email: string, appMetaData: U): Promise<T>;
    isUserIdAdministrator(userId: string): Promise<boolean>;
    isUserIdInRole(userId: string, roleName: string): Promise<boolean>;
    isUserIdInAnyRole(userId: string, roleNames: string[]): Promise<boolean>;
}
