"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NetlifyResult = void 0;
const http_status_codes_1 = require("http-status-codes");
class NetlifyResult {
    constructor(code, result = undefined) {
        this.statusCode = code;
        if (result) {
            this.body = JSON.stringify(result);
        }
    }
    static get Ok() {
        return new NetlifyResult(http_status_codes_1.StatusCodes.OK);
    }
    static get Error() {
        return new NetlifyResult(http_status_codes_1.StatusCodes.INTERNAL_SERVER_ERROR);
    }
}
exports.NetlifyResult = NetlifyResult;
