import { Context } from "@netlify/functions/dist/function/context";
import { Event } from "@netlify/functions/dist/function/event";
import { AdminIdentityFunctions } from "./admin-identity-functions";
import { NetlifyIdentityUser } from "./models/interfaces/netlify-identity-user";
import { NetlifyResult } from "./models/interfaces/netlify-result";
export declare class NetlifyFunctionExtensions {
    private event;
    private context;
    private identityUrlOverride;
    private tokenOverride;
    adminIdentityFunctions: AdminIdentityFunctions;
    private userIdentityFunctions;
    constructor(event: Event, context: Context, identityUrlOverride?: string | null, tokenOverride?: string | null);
    get callingUser(): NetlifyIdentityUser;
    get adminToken(): string;
    get identity(): any;
    get identityUrl(): string;
    getBodyObject<T>(): T;
    registerUser<T extends NetlifyIdentityUser>(email: string, password: string): Promise<T>;
    inviteUser<T extends NetlifyIdentityUser>(email: string): Promise<T>;
    updateUser<T extends NetlifyIdentityUser>(user: T): Promise<void>;
    isUserAdministrator(user: NetlifyIdentityUser): Promise<boolean>;
    isCallingUserInRole(roleName: string): Promise<boolean>;
    isUserInRole(user: NetlifyIdentityUser, roleName: string): Promise<boolean>;
    isCallingUserInAnyRole(roleNames: string[]): Promise<boolean>;
    isUserInAnyRole(user: NetlifyIdentityUser, roleNames: string[]): Promise<boolean>;
    executeAsync<T>(action: string, functionToExecute: () => Promise<NetlifyResult<T>>, errorCallback: (error: any) => Promise<NetlifyResult<T> | NetlifyResult<void>>): Promise<NetlifyResult<T> | NetlifyResult<void>>;
    executeAsyncWithRoleCheck<T>(action: string, roleNames: string[], functionToExecute: () => Promise<NetlifyResult<T>>, errorCallback: (error: any) => Promise<NetlifyResult<T> | NetlifyResult<void>>): Promise<NetlifyResult<T> | NetlifyResult<void>>;
}
