import { NetlifyIdentityUser } from "./models/interfaces/netlify-identity-user";
import { Context } from "@netlify/functions/dist/function/context";
import { Event } from "@netlify/functions/dist/function/event";
export declare class UserIdentityFunctions {
    private event;
    private context;
    constructor(event: Event, context: Context);
    get identity(): any;
    get callingUser(): NetlifyIdentityUser;
    registerUser<T extends NetlifyIdentityUser>(email: string, password: string): Promise<T>;
    inviteUser<T extends NetlifyIdentityUser>(email: string): Promise<T>;
    updateUser<T extends NetlifyIdentityUser>(user: T): Promise<void>;
    isUserAdministrator(user: NetlifyIdentityUser): Promise<boolean>;
    isCallingUserInRole(roleName: string): Promise<boolean>;
    isUserInRole(user: NetlifyIdentityUser, roleName: string): Promise<boolean>;
    isCallingUserInAnyRole(roleNames: string[]): Promise<boolean>;
    isUserInAnyRole(user: NetlifyIdentityUser, roleNames: string[]): Promise<boolean>;
}
